libetonyek::KEYStylesheet Struct Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libetonyek::KEYStylesheet Struct Reference

Representation of a stylesheet. More...

`#include <KEYStylesheet.h>`

## Public Member Functions
| KEYStylesheet ()

## Public Attributes
KEYStylesheetPtr_t | parent
KEYCellStyleMap_t | cellStyles
KEYCharacterStyleMap_t | characterStyles
KEYConnectionStyleMap_t | connectionStyles
KEYGraphicStyleMap_t | graphicStyles
KEYLayoutStyleMap_t | layoutStyles
KEYListStyleMap_t | listStyles
KEYParagraphStyleMap_t | paragraphStyles
KEYPlaceholderStyleMap_t | placeholderStyles
KEYSlideStyleMap_t | slideStyles
KEYTabularStyleMap_t | tabularStyles
KEYVectorStyleMap_t | vectorStyles

## Detailed Description

Representation of a stylesheet.

Stylesheets are nested; the hierarchy is:

- theme stylesheet
- master slide stylesheet
- slide stylesheet

Note
  The retrieval key for a style is its `ident` attribute, not its ID.

## Constructor & Destructor Documentation

libetonyek::KEYStylesheet::KEYStylesheet | ( |  | ) |

## Member Data Documentation

KEYCellStyleMap_t libetonyek::KEYStylesheet::cellStyles

KEYCharacterStyleMap_t libetonyek::KEYStylesheet::characterStyles

KEYConnectionStyleMap_t libetonyek::KEYStylesheet::connectionStyles

KEYGraphicStyleMap_t libetonyek::KEYStylesheet::graphicStyles

KEYLayoutStyleMap_t libetonyek::KEYStylesheet::layoutStyles

KEYListStyleMap_t libetonyek::KEYStylesheet::listStyles

KEYParagraphStyleMap_t libetonyek::KEYStylesheet::paragraphStyles

KEYStylesheetPtr_t libetonyek::KEYStylesheet::parent

KEYPlaceholderStyleMap_t libetonyek::KEYStylesheet::placeholderStyles

KEYSlideStyleMap_t libetonyek::KEYStylesheet::slideStyles

KEYTabularStyleMap_t libetonyek::KEYStylesheet::tabularStyles

KEYVectorStyleMap_t libetonyek::KEYStylesheet::vectorStyles

The documentation for this struct was generated from the following files:

- KEYStylesheet.h
- KEYStylesheet.cpp